%define	module	IO-AIO
%define	name	perl-%{module}
%define	version	3.07
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Asynchronous Input/Output 
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/IO/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	gdbm-devel
BuildRequires:	db4-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module implements asynchronous I/O using whatever means your operating
system supports.

Currently, a number of threads are started that execute your read/writes and
signal their completion. You don't need thread support in your libc or perl,
and the threads created by this module will not be visible to the pthreads
library. In the future, this module might make use of the native aio functions
available on many operating systems. However, they are often not well-supported
(Linux doesn't allow them on normal files currently, for example), and they
would only support aio_read and aio_write, so the remaining functionality would
have to be implemented using threads anyway.

Although the module will work with in the presence of other threads, it is
currently not reentrant, so use appropriate locking yourself, always call
poll_cb from within the same thread, or never call poll_cb (or other aio_
functions) recursively.

After creating a new Gtk2::Ex::Simple::List object with the desired columns you
may set the list data with a simple Perl array assignment. Rows may be added or
deleted with all of the normal array operations. You can treat the data member
of the Simple::List object as an array reference, and manipulate the list data
with perl's normal array operators.

A mechanism has also been put into place allowing columns to be Perl scalars.
The scalar is converted to text through Perl's normal mechanisms and then
displayed in the list. This same mechanism can be expanded by defining
arbitrary new column types before calling the new function.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="$RPM_OPT_FLAGS"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_mandir}/*/*
%{perl_vendorarch}/IO
%{perl_vendorarch}/auto/IO




%changelog
* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.07-1mdv2009.0
+ Revision: 270387
- update to new version 3.07

* Wed Jul 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.06-1mdv2009.0
+ Revision: 236266
- update to new version 3.06

* Mon Jun 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.05-1mdv2009.0
+ Revision: 227972
- update to new version 3.05

* Thu Jun 19 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.04-1mdv2009.0
+ Revision: 226193
- update to new version 3.04

* Fri May 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.03-1mdv2009.0
+ Revision: 213357
- update to new version 3.03

* Tue May 20 2008 Oden Eriksson <oeriksson@mandriva.com> 3.02-2mdv2009.0
+ Revision: 209548
- get rid of the db1-devel and db2-devel build deps, db4-devel is enough

* Tue May 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.02-1mdv2009.0
+ Revision: 209316
- fix build dependencies
- update to new version 3.02

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.62-1mdv2009.0
+ Revision: 201970
- update to new version 2.62

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.61-1mdv2009.0
+ Revision: 195434
- update to new version 2.61

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 2.51-2mdv2008.1
+ Revision: 151422
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.51-1mdv2008.1
+ Revision: 98033
- update to new version 2.51
- update to new version 2.51


* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.33-1mdv2007.0
+ Revision: 133706
- new version

* Thu Nov 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-1mdv2007.1
+ Revision: 84622
- new version
- Import perl-IO-AIO

* Fri Sep 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.73-2mdv2007.0
- Rebuild

* Thu Mar 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.73-1mdk
- New release 1.73

* Thu Feb 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.72-1mdk
- New release 1.72

* Thu Dec 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.71-1mdk
- New release 1.71
- use correct compilation flags

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.61-1mdk
- first mdk release

